# Class GridViewerEditor

ColumnViewerEditor
org.eclipse.nebula.jface.gridviewer.GridViewerEditor

public class GridViewerEditor extends ColumnViewerEditor
FIXME

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SELECTION_FOLLOWS_EDITOR`
The selection follows the editor

## Method Summary

Modifier and Type
Method
Description
`static void`
`create(GridTableViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)`
FIXME
`static void`
`create(GridTreeViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)`
FIXME
`ViewerCell`
`getFocusCell()`
FIXME
`protected void`
`setEditor(Control w, Item item, int fColumnNumber)`
FIXME
`protected void`
`setLayoutData(LayoutData layoutData)`
FIXME
`protected void`
`updateFocusCell(ViewerCell focusCell, ColumnViewerEditorActivationEvent event)`

## Field Details

### SELECTION_FOLLOWS_EDITOR

public static final int SELECTION_FOLLOWS_EDITOR
The selection follows the editor

See Also:
  - Constant Field Values

## Method Details

### setEditor

protected void setEditor(Control w, Item item, int fColumnNumber)
FIXME

### setLayoutData

protected void setLayoutData(LayoutData layoutData)
FIXME

### getFocusCell

public ViewerCell getFocusCell()
FIXME

### updateFocusCell

protected void updateFocusCell(ViewerCell focusCell, ColumnViewerEditorActivationEvent event)

### create

public static void create(GridTableViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)
FIXME

Parameters:
  `viewer` -
  `editorActivationStrategy` -
  `feature` -

### create

public static void create(GridTreeViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)
FIXME

Parameters:
  `viewer` -
  `editorActivationStrategy` -
  `feature` -